I tried apt-get update and apt-get upgrade as well with the same errors
I will try the sudo dpkg --force-all -P libhx509-5-heimdal:i386
followed by the other packages and cross my fingers and post the results if I have not killed my system entirely (it sounds scary).